package extend.mj;

import com.game.data.Score;


public class EXScore extends Score{
	public static final int WIN = 1;
	public static final int KONG = 2;
	public static final int AN_KONG = 4;
	public static final int GENG_ZHUAN = 5;
	public static final int MA_GENG_GONG = 6;
	//public static final int MAI_NIAO = 7;
	public static final int ZHONG_JIANG = 8;

	public EXScore(EXPlayer owner){
		super(owner);
	}
	
	protected void initLog() {
		this.round_log.put(WIN, 0);
		this.round_log.put(KONG, 0);
		this.round_log.put(AN_KONG,0);
		this.round_log.put(GENG_ZHUAN, 0);
		this.round_log.put(MA_GENG_GONG, 0);
		this.round_log.put(ZHONG_JIANG, 0);
	}
	
}
